Passa al contenuto principale

HostingModSecurity

Status of ModSecurity, the web application firewall, on the hosting

hosting_idintegerrequired

Id of the hosting (GET /api/v3/hostings/{hosting_id})

is_availablebooleanrequired

Whether ModSecurity can be managed: only on Linux hostings, and not while the purchase is suspended or in maintenance

is_activebooleanrequired

Whether ModSecurity is enabled (PATCH /api/v3/hostings/{hosting_id}/modsecurity)

firewall_compatiblebooleanrequired

Whether the rules of ModSecurity can be managed on the web server of the hosting: false on dedicated web servers and when ModSecurity is not available

full_strictboolean | nullnullablerequired

Whether ModSecurity filters all the traffic, with no disabled rule; null when firewall_compatible is false

custom_rulesstring[]nullablerequired

Numbers of the rules disabled on the hosting, as read from the web server; null when the hosting has no custom configuration

custom_setstring[]nullablerequired

Rule sets of the custom configuration of the hosting, as read from the web server; null when the hosting has no custom configuration

HostingModSecurity
{
"hosting_id": 0,
"is_available": true,
"is_active": true,
"firewall_compatible": true,
"full_strict": true,
"custom_rules": "Unknown Type: array,null",
"custom_set": "Unknown Type: array,null"
}